lsp-types-2.0.2.0: Haskell library for the Microsoft Language Server Protocol, data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.LSP.Protocol.Capabilities

Synopsis

- fullCaps :: ClientCapabilities
- data LSPVersion = LSPVersion Int Int
- capsForVersion :: LSPVersion -> ClientCapabilities

# Documentation

fullCaps :: ClientCapabilities #

Capabilities for full conformance to the current (v3.15) LSP specification.

data LSPVersion #

A specific version of the LSP specification.

Constructors

LSPVersion Int Int | Construct a major.minor version

capsForVersion :: LSPVersion -> ClientCapabilities #

Capabilities for full conformance to the LSP specification up until a version. Some important milestones:

- 3.12 textDocument/prepareRename request
- 3.11 CodeActionOptions provided by the server
- 3.10 hierarchical document symbols, folding ranges
- 3.9 completion item preselect
- 3.8 codeAction literals
- 3.7 related information in diagnostics
- 3.6 workspace folders, colors, goto type/implementation
- 3.4 extended completion item and symbol item kinds
- 3.0 dynamic registration